[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TOwnerDrawState

Alias for the TOwnerDrawState type in lcltype.pp.

## Declaration

Source position: stdctrls.pp line 280

`type TOwnerDrawState = LCLType.TOwnerDrawState;`

## Description

TOwnerDrawState instances are passed as an argument to methods which draw list items in controls, like TCustomComboBox.DrawItem and TCustomListBox.DrawItem.

## See also

TCustomComboBox.DrawItem |  | Draws a list item, using the OnDrawItem handler (when assigned).
TCustomListBox.DrawItem |  | Paints an item in owner-draw mode.
TOwnerDrawState |  | Set type used for TOwnerDrawStateType values.